Subject: RE: [QUESTION] mergetool environment variables

From: <[email-masked]>
Date: Sat, 13 Sep 2025 20:18:22 -0400

On September 13, 2025 5:04 PM, Johannes Sixt wrote:
>To: [email-masked]
>Cc: [email-masked]
>Subject: Re: [QUESTION] mergetool environment variables
>
>Am 13.09.25 um 16:42 schrieb [email-masked]:
>> Let me try to infer what is happening and please correct me if my
>> assumptions are wrong:
>I'm sorry to say that I can't help. I tried to disentangle what is going on, but this
>stuff is far too convoluted to be understood in a few minutes. I cannot tell if it is
>possible to write a mergetool that is not installed with Git.
>
>I would just copy one of the existing tool scripts and run `make install` from the Git
>source directory.

Yes, it needs to be in the git install area. Adding export BASE export LOCAL, etc.,
works to resolve the situation. I wonder whether that should be documented.